/**
   DebugIO.cpp
   by Matthew Ford,  2020/01/27
   (c)2019 Forward Computing and Control Pty. Ltd.
   NSW, Australia  www.forward.com.au
*/
#include "DebugIO.h"

static Stream* debugPtr = NULL;

/* must call this first to get any debug output
    @param ioPtr -- pointer to the Stream to use for debugging
*/
void setDebugPtr(Stream *ioPtr) {
  debugPtr = ioPtr;
}

// must call this in the file you want to debug
Stream* getDebugPtr() {
  return debugPtr;
}
